/*
  binforge - Repository system for Windows
  Copyright (C) 2009 Younes Serraj  Tous droits rservs.

  Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
  modifier suivant les termes de la GNU General Public License telle que
  publie par la Free Software Foundation : soit la version 3 de cette
  licence, soit ( votre gr) toute version ultrieure.

  Ce programme est distribu dans lespoir quil vous sera utile, mais SANS
  AUCUNE GARANTIE : sans mme la garantie implicite de COMMERCIALISABILIT
  ni dADQUATION  UN OBJECTIF PARTICULIER. Consultez la Licence Gnrale
  Publique GNU pour plus de dtails.

  Vous devriez avoir reu une copie de la Licence Gnrale Publique GNU avec
  ce programme ; si ce nest pas le cas, consultez :
  <http://www.gnu.org/licenses/>.
*/

#ifdef BINFORGE_H
#ifndef PACKAGES_H
#define PACKAGES_H

#include <stdio.h>
#include <time.h>

struct PACKAGE_S {
	int id;
	char name[256];
	char filename[256];
	int version[4];
	char description[1024];
	int size;
	time_t released_on;
	time_t updated_on;
};

typedef struct PACKAGE_S package;

int pkg_make(package *pkg,
	char *name, char *filename, char *description,
	int vmaj, int vmin, int vcor, int vbui);
void pkg_print(package *pkg);

#include "packages_repository.h"
#include "packages_database.h"
#include "packages_repository.c"
#include "packages_database.c"

int pkg_add(package *pkg, char *filepath);
int pkg_update(package *pkg);
int pkg_extract(int pkg_id, char *destfile);
void pkg_clear();
/*int pkg_delete(int pkg_id);
int check_packages();*/

#endif PACKAGES_H
#endif BINFORGE_H
